body {
    margin: 0;
    min-height: 100vh;
    background: #333;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
}

.flag {
    position: relative;
    width: 30em;
    aspect-ratio: 3/2;
    background: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.section {
    width: 100%;
    height: calc(100% / 3);
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    align-items: center;
}

.section:first-child{
    background: #FF671F;
}

.section:last-child{
    background: #046A38;
}

.chakra {
    position: relative;
    height: calc(100% - 1em);
    aspect-ratio: 1/1;
    box-sizing: border-box;
    border: .4em solid #06038D;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.origin {
    width: 1em;
    aspect-ratio: 1/1;
    background: #06038D;
    border-radius: 50%;
}

.spokes {
    position: absolute;
    width: 1em;
    height: 50%;
    top: 0;
    box-sizing: border-box;
    transform-origin: 50% 100%;
    transform: rotate(calc(15deg * (var(--order) - 1)));
}

.spokes::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: #06038D;
    clip-path: polygon(50% 0%, 60% 60%, 50% 100%, 40% 60%);
}

.spokes::after {
    content: "";
    position: absolute;
    width: .3em;
    aspect-ratio: 1/1;
    background: #06038D;
    border-radius: 50%;
    top: -.15em;
    right: 0;
    visibility: visible;
}
